<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.3.9
Name: [3] Sekcja informacji o rodzaju szkoły i klasie
Description: Szablon CDA dla sekcji informacji o rodzaju szkoły i klasie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.3.9-2014-08-14T000000">
   <title>[3] Sekcja informacji o rodzaju szkoły i klasie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.9
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.9']]
Item: (plCdaSchoolGradeSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.9']]"
         id="tmp-r-3c196852-5342-42a3-8246-bbbf4bf80964">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.9-2014-08-14T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.9'])&gt;=1 and not(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.9']/@nullFlavor)">(plCdaSchoolGradeSection): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.9'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.9-2014-08-14T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.9'])&lt;=1">(plCdaSchoolGradeSection): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.9'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.9
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.9']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.9']
Item: (plCdaSchoolGradeSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.9']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.9']"
         id="tmp-r-99cfd832-c1be-4e51-bff6-4d709cd18bde">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.9-2014-08-14T000000.html"
              test="string(@classCode)='DOCSECT' or not(@classCode)">(plCdaSchoolGradeSection): Wartość dla @classCode MUSI wynosić 'DOCSECT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.9-2014-08-14T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaSchoolGradeSection): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.9-2014-08-14T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.9'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.9']/@nullFlavor)">(plCdaSchoolGradeSection): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.9'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.9-2014-08-14T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.9'])&lt;=1">(plCdaSchoolGradeSection): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.9'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.9-2014-08-14T000000.html"
              test="count(hl7:id)&lt;=1">(plCdaSchoolGradeSection): element hl7:id występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.9-2014-08-14T000000.html"
              test="count(hl7:code[(@code='29762-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='29762-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(plCdaSchoolGradeSection): element hl7:code[(@code='29762-2' and @codeSystem='2.16.840.1.113883.6.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.9-2014-08-14T000000.html"
              test="count(hl7:code[(@code='29762-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(plCdaSchoolGradeSection): element hl7:code[(@code='29762-2' and @codeSystem='2.16.840.1.113883.6.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.9-2014-08-14T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(plCdaSchoolGradeSection): element hl7:text jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.9-2014-08-14T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaSchoolGradeSection): element hl7:text występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.9
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.9']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.9']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.9']
Item: (plCdaSchoolGradeSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.9']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.9']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.9']"
         id="tmp-r-5a662580-b015-46d7-b7ec-011509f4674a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.9-2014-08-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSchoolGradeSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.9-2014-08-14T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.3.9'">(plCdaSchoolGradeSection): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.3.9'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.9-2014-08-14T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaSchoolGradeSection): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.9
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.9']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.9']/hl7:id
Item: (plCdaSchoolGradeSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.9']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.9']/hl7:id"
         id="tmp-r-35e888ff-4e5e-4ee5-a502-7d19685ca4c4">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.9-2014-08-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSchoolGradeSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.9
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.9']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.9']/hl7:code[(@code='29762-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (plCdaSchoolGradeSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.9']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.9']/hl7:code[(@code='29762-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-812c8b7c-4662-4fad-9cbe-ede85b7455c0">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.9-2014-08-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSchoolGradeSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.9-2014-08-14T000000.html"
              test="@nullFlavor or (@code='29762-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Social history' and @codeSystemName='LOINC')">(plCdaSchoolGradeSection): Wartość elementu MUSI wynosić code '29762-2' codeSystem '2.16.840.1.113883.6.1' displayName='Social history' codeSystemName='LOINC'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.9
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.9']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.9']/hl7:text
Item: (plCdaSchoolGradeSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.9']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.9']/hl7:text"
         id="tmp-r-5a6882ac-4952-41c3-8afa-1d362d529cf7">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.9-2014-08-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSchoolGradeSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:SD.TEXT", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
